Bug 997734 - Review Request: trac-condfieldsgenshi-plugin - Trac plugin for conditional fields using Genshi
Review Request: trac-condfieldsgenshi-plugin - Trac plugin for conditional fi...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Nobody's working on this, feel free to take it
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-16 01:45 EDT by Adam Williamson
Modified: 2013-10-24 15:09 EDT (History)
3 users (show)

See Also:
Fixed In Version: trac-condfieldsgenshi-plugin-0.2-1.svn13364.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-10-24 15:09:10 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
bochecha: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Adam Williamson 2013-08-16 01:45:17 EDT
Spec URL: https://www.happyassassin.net/reviews/trac-condfieldsgenshi-plugin/trac-condfieldsgenshi-plugin.spec
SRPM URL: https://www.happyassassin.net/reviews/trac-condfieldsgenshi-plugin//var/lib/mock/fedora-rawhide-x86_64/result/trac-condfieldsgenshi-plugin-0.2-1.svn12533.fc20.src.rpm
Description: A trac plugin which shows or hides fields based on ticket type. It
uses Trac's Genshi toolkit, avoiding any requirement for javascript, which other similar plugins require.
Fedora Account System Username: adamwill

I need this to keep making the fedora-badges trac more awesome - if someone can review it quick that'd be great. Thanks! It's a very simple plugin that lets you make fields in a trac ticket conditional on the ticket type.
Comment 1 Adam Williamson 2013-08-16 01:46:28 EDT
Gah. Copy/paste fail on the SRPM URL:

SRPM URL: https://www.happyassassin.net/reviews/trac-condfieldsgenshi-plugin/trac-condfieldsgenshi-plugin-0.2-1.svn12533.fc20.src.rpm
Comment 2 Christopher Meng 2013-08-16 01:51:16 EDT
Are you going to support ELL5?

If not remove %clean/%defattr(-,root,root,-)

Also

BuildRequires:	python-devel
--->
BuildRequires:	python2-devel
Comment 3 Michael Schwendt 2013-08-16 02:16:56 EDT
%defattr(-,root,root,-)  is not needed for EL5 either.
Comment 4 Adam Williamson 2013-08-16 03:18:30 EDT
thanks, nice catches - I just cargo culted the spec from some other trac plugin, I'll fix that too...
Comment 5 Adam Williamson 2013-08-16 03:43:13 EDT
Spec URL: https://www.happyassassin.net/reviews/trac-condfieldsgenshi-plugin/trac-condfieldsgenshi-plugin.spec
SRPM URL: https://www.happyassassin.net/reviews/trac-condfieldsgenshi-plugin/trac-condfieldsgenshi-plugin-0.2-2.svn12533.fc20.src.rpm

fixes the issues noted above, and drops rm -rf %buildroot from %install (thanks bochecha). Note, there's a licensing issue: https://trac-hacks.org/ticket/11282#ticket .
Comment 6 Mathieu Bridon 2013-08-16 03:59:45 EDT
There's only one issue (the license file not being included) for which you've already contacted upstream, and which will hopefully get resolved soon.

Other than that, the package is good to go.

Summary
=======

[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

    => https://trac-hacks.org/ticket/11282#ticket

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Sources contain only permissible code or content.
[x]: Each %files section contains %defattr if rpm < 4.4
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Package complies to the Packaging Guidelines
[-]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: License field in the package spec file matches the actual license.
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[-]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[-]: Fully versioned dependency in subpackages, if present.
[-]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[-]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.

    => https://trac-hacks.org/ticket/11282#ticket

[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: SourceX tarball generation or download is documented.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[-]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: trac-condfieldsgenshi-plugin-0.2-1.svn12533.fc20.noarch.rpm
trac-condfieldsgenshi-plugin.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Rpmlint (installed packages)
----------------------------
trac-condfieldsgenshi-plugin.noarch: W: spelling-error %description -l en_US javascript -> java script, java-script, JavaScript
1 packages and 0 specfiles checked; 0 errors, 1 warnings.


Requires
--------
trac-condfieldsgenshi-plugin (rpmlib, GLIBC filtered):
    python(abi)
    trac


Provides
--------
trac-condfieldsgenshi-plugin:
    trac-condfieldsgenshi-plugin


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -b 997734 -m fedora-rawhide-x86_64
Comment 7 Adam Williamson 2013-08-22 19:35:23 EDT
I've just asked rjollos upstream to go ahead and make the licensing change we need.
Comment 8 Mathieu Bridon 2013-08-22 19:42:05 EDT
Alright, upstream is responsive about the license file issue and it should be added soon.

Package is approved.
Comment 9 Adam Williamson 2013-09-17 17:10:53 EDT
New Package SCM Request
=======================
Package Name: trac-condfieldsgenshi-plugin
Short Description: Trac plugin for conditional fields using Genshi
Owners: adamwill
Branches: f20 el6
InitialCC: 

(upstream has now added the COPYING file; the first official build of the package will include it).
Comment 10 Gwyn Ciesla 2013-09-18 08:22:04 EDT
Git done (by process-git-requests).
Comment 11 Fedora Update System 2013-09-18 22:47:57 EDT
trac-condfieldsgenshi-plugin-0.2-1.svn13364.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/trac-condfieldsgenshi-plugin-0.2-1.svn13364.el6
Comment 12 Fedora Update System 2013-09-19 15:33:36 EDT
trac-condfieldsgenshi-plugin-0.2-1.svn13364.el6 has been pushed to the Fedora EPEL 6 testing repository.
Comment 13 Fedora Update System 2013-10-24 15:09:10 EDT
trac-condfieldsgenshi-plugin-0.2-1.svn13364.el6 has been pushed to the Fedora EPEL 6 stable repository.

Note You need to log in before you can comment on or make changes to this bug.